This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 102643 - a.out binarys don't automatically cause the kernel to load binfmt_aout.o
a.out binarys don't automatically cause the kernel to load binfmt_aout.o
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 06:52 EDT by Mu
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mu 2003-08-19 06:52:27 EDT
Description of problem:

a.out binarys don't automatically cause the kernel to load binfmt_aout.o

'modprobe -c |grep binfmt' shows it is still aliasing the binfmt-%hd format
instead of the new binfmt-%04x format for the module name.

How reproducible:

Always.

Steps to Reproduce:
1. Try load an a.out format executable
    
Actual results:
[safeuser@localhost testing1]$ ./b.o
-bash: ./b.o: cannot execute binary file

Expected results:
[safeuser@localhost testing1]$ ./b.o
Hello, world.

Additional info:

This looks like the problem here:

http://hypermail.idiosynkrasia.net/linux-kernel/archived/2001/week47/0765.html

Does the kernel support a.out format or not?
It seems that it is trying to support it out of box, but it doesn't seem to work.
Comment 1 Mu 2003-08-20 03:13:53 EDT
oops. it's a kernel config issue, not a kernelcfg issue.
Comment 2 Bugzilla owner 2004-09-30 11:41:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.